# skrypt oblicza trend z wykorzystanie filtru HodrickaPrescotta. 
# Do dziaania potrzebny plik M$ Excella z danymi
# empirycznymi oraz wskazane poniej biblioteki.

# wczytaj bibliotek umoliwiajc import danych w formacie M$ Excell
library(openxlsx)
data <- read.xlsx('C:/Users/zasada/Dropbox/OGiRPAP/FLESZ/201812_Nowy_Flesz/201812_TRENDY/TRENDY_122018.xlsx')

# rozdziel dane na pi szeregw: bezrobocie, wakaty, podejmujacy, czas, napyw
bezrobocie <- ts(data$bezrobocie, start = c(2016, 1), frequency = 12)
wakaty <- ts(data$wakaty, start = c(2016, 1), frequency = 12)
podejmujacy <- ts(data$podejmujacy, start = c(2016, 1), frequency = 12)
czas <- ts(data$czas, start = c(2016, 1), frequency = 12)
naplyw <- ts(data$naplyw, start = c(2016, 1), frequency = 12)

require(mFilter)
bezrobocie_trend <- hpfilter(bezrobocie,freq=129600,type="lambda",drift=FALSE)
wakaty_trend <- hpfilter(wakaty,freq=129600,type="lambda",drift=FALSE)
naplyw_trend <- hpfilter(naplyw,freq=129600,type="lambda",drift=FALSE)
podejmujacy_trend <- hpfilter(podejmujacy,freq=129600,type="lambda",drift=FALSE)
czas_trend <- hpfilter(czas,freq=129600,type="lambda",drift=FALSE)
